# $Id$
# Authority: dag
# Upstream: Sisyphus <sisyphus$cpan,org>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name FileHandle-Fmode

Summary: Perl module to determine whether a filehandle is opened for reading, writing, or both
Name: perl-FileHandle-Fmode
Version: 0.09
Release: 1.rf
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/FileHandle-Fmode/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.cpan.org/modules/by-module/FileHandle/FileHandle-Fmode-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: perl

%description
perl-FileHandle-Fmode is a Perl module to determine whether a filehandle
is opened for reading, writing, or both

%prep
%setup -n %{real_name}-%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
%{__rm} -rf %{buildroot}
%makeinstall

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} %{buildroot}%{perl_vendorarch}/auto/*{,/*{,/*}}/.packlist

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc CHANGES MANIFEST README
%doc %{_mandir}/man3/FileHandle::Fmode.3pm*
#%doc %{_mandir}/man3/*.3pm*
%dir %{perl_vendorarch}/FileHandle/
%{perl_vendorarch}/FileHandle/Fmode.pm
%dir %{perl_vendorarch}/auto/FileHandle/
%{perl_vendorarch}/auto/FileHandle/Fmode/

%changelog
* Sun May 27 2007 Dag Wieers <dag@wieers.com> - 0.09-1 - +/
- Initial package. (using DAR)
